using UnityEngine;
using System.Collections;

public class ControlScript : MVCElement {

	/**
	 * SerialPortInterface: the serial comunication
	 */
	private SerialPortInterface serialComms;

	/**
	 * HandsPressure: the hands pressure model
	 */
	private HandsPressure handsModel;

	// Use this for initialization
	void Start () {
		//open serial comunication
		this.serialComms = new SerialPortInterface();
		//init the model pressure container
		this.handsModel = new HandsPressure();
	}
	
	// Update is called once per frame
	void Update () {
		//every 25 frame
		if (Time.frameCount % 50 == 0) {
			//get the hands model as JSON
			//send through serial
			this.serialComms.sendMessage(this.handsModel.toJSON());
		}
	}

	public void onFingerCollision(Finger finger, Pressure pressure){
		//set the pressure status
		this.handsModel.setPressure(finger, pressure);
	}
}
