﻿using System;
using System.IO.Ports;

public class SerialPortInterface{

	/**
	 * String: the serial port name
	 */
	private const String PORT_NAME = "COM4";

	/**
	 * SerialPort: the serial stream 
	 */
	private SerialPort stream;

	/**
	 * Opens a serial connection.
	 */
	public SerialPortInterface(){
		//init the stream
		this.stream = new SerialPort(SerialPortInterface.PORT_NAME, 9600);
		//set the read timeout
		this.stream.ReadTimeout = 50;
		//open the stream
		this.stream.Open();
	}

	/**
	 * Send the given message.
	 * @param message String: the message you need to send.
	 */
	public void sendMessage(String message){
		//write the message
		this.stream.WriteLine(message);
		//flush the buffer
		this.stream.BaseStream.Flush();
	}
}
	